Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BusinessViewCategoryInfo

    java.lang.Object
      jet.api.BLCategoryInfo
          jet.api.BusinessViewCategoryInfo

    public class BusinessViewCategoryInfo

extends BLCategoryInfo

The BusinessViewCategoryInfo class defines the `Category` object of JReport Business View. Categories are the main tools for organizing data. They are components which correspond to particular collections of data in the data source. They are grouped in folders that are named to reflect information collections. A category can contain any number of subcategories.

Organizing data required by a user into multiple categories or multiple levels of categories is meaningful, and makes it easy to understand the data. End users can use categories to find data elements they need to use without knowing the underlying table names although sometimes the table names are used as categories.

The BusinessViewCategoryInfo class contains the methods for adding Detail, Group and Aggregation objects into the Category. The normal workflow is to get a handle to the query node where you want to create the Business View meta-data, insert the Business View, add the Category then add the details, groups and aggregations you want in the category.

1. catalogAPI.getQueries(...)
2. String bvHandle = catalogAPI.insertBusinessView(...)
3. BusinessViewCategoryInfo bvc = new BusinessViewCategoryInfo(...)
4. bvc.addBVGroup(...), bvc.addBVAggregation(...), bvc.addBVDetail(...)
5. catalogAPI.insertBusinessViewCategory(bvHandle, bvc)

Constructor Summary
`BusinessViewCategoryInfo(java.lang.String name)` Constructor.

Method Summary
`void` | `addBVAggregation(BVAggregationInfo aggInfo)` Adds a JReport BusinessView Aggregation definition into the category.
`void` | `addBVCategory(BusinessViewCategoryInfo categoryInfo)` Adds a JReport BusinessView Category definition into the category.
`void` | `addBVDetail(BVDetailInfo detailInfo)` Adds a JReport BusinessView Detail definition into the category.
`void` | `addBVGroup(BVGroupInfo bvGroupInfo)` Adds a JReport BusinessView Group into the category.
`void` | `addCategory(BLCategoryInfo categoryInfo)` Deprecated. Since v10, replaced by `addBVCategory`.
`void` | `addDetailInformation(BLDetailInfo detailInfo)` Deprecated. Since v10, replaced by `addBVDetail`.
`void` | `addDimension(BLDimensionInfo dimensionInfo)` Deprecated. Since v10, replaced by `addBVGroup`.
`void` | `addMeasure(BLMeasureInfo measureInfo)` Deprecated. Since v10, replaced by `addBVAggregation`.
`BVAggregationInfo[]` | `getAggregation()` Gets Measure definitions in the Category.
`BusinessViewCategoryInfo[]` | `getBVCategories()` Gets subcategory definitions in the Category.
`BVDetailInfo[]` | `getBVDetailInfos()` Gets Detail definitions in the Category.
`BVGroupInfo[]` | `getGroups()` Gets Group definitions in the Category.

Methods inherited from class jet.api.BLCategoryInfo
`getCategories, getDescription, getDetailInfos, getDimensions, getDisplayName, getMeasures, getName, setDescription, setDisplayName, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessViewCategoryInfo

    public BusinessViewCategoryInfo(java.lang.String name)

  Constructor. Creates a JReport BusinessLogic Category.

  Parameters:
    `name` - Indicates the category name.

Method Detail

### addDimension

    public void addDimension(BLDimensionInfo dimensionInfo)

  Deprecated. Since v10, replaced by `addBVGroup`.

  Adds a JReport BusinessLogic Dimension into the category.

  Overrides:
    `addDimension` in class `BLCategoryInfo`
  Parameters:
    `dimensionInfo` - The dimension definition that will be created in the category.

### addBVGroup

    public void addBVGroup(BVGroupInfo bvGroupInfo)

  Adds a JReport BusinessView Group into the category.

  Parameters:
    `bvGroupInfo` - The Group definition that will be created in the category or the BusinessView.

### getGroups

    public BVGroupInfo[] getGroups()

  Gets Group definitions in the Category.

  Returns:
    Group definitions array of the Category.

### addMeasure

    public void addMeasure(BLMeasureInfo measureInfo)

  Deprecated. Since v10, replaced by `addBVAggregation`.

  Adds a JReport BusinessLogic Measure definition into the category.

  Overrides:
    `addMeasure` in class `BLCategoryInfo`
  Parameters:
    `measureInfo` - The Measure definition that will be created in the category.

### addBVAggregation

    public void addBVAggregation(BVAggregationInfo aggInfo)

  Adds a JReport BusinessView Aggregation definition into the category.

  Parameters:
    `aggInfo` - The Aggregation definition that will be created in the category.

### getAggregation

    public BVAggregationInfo[] getAggregation()

  Gets Measure definitions in the Category.

  Returns:
    Measure definitions array of the Category.

### addDetailInformation

    public void addDetailInformation(BLDetailInfo detailInfo)

  Deprecated. Since v10, replaced by `addBVDetail`.

  Adds a JReport BusinessLogic Detail definition into the category.

  Overrides:
    `addDetailInformation` in class `BLCategoryInfo`
  Parameters:
    `detailInfo` - The Detail definition that will be created in the category.

### addBVDetail

    public void addBVDetail(BVDetailInfo detailInfo)

  Adds a JReport BusinessView Detail definition into the category.

  Parameters:
    `detailInfo` - The Detail definition that will be created in the category.

### getBVDetailInfos

    public BVDetailInfo[] getBVDetailInfos()

  Gets Detail definitions in the Category.

  Returns:
    Detail definitions array of the Category.

### addCategory

    public void addCategory(BLCategoryInfo categoryInfo)

  Deprecated. Since v10, replaced by `addBVCategory`.

  Adds a JReport BusinessLogic Category definition into the category.

  Overrides:
    `addCategory` in class `BLCategoryInfo`
  Parameters:
    `categoryInfo` - The Category definition that will be created in the category.

### addBVCategory

    public void addBVCategory(BusinessViewCategoryInfo categoryInfo)

  Adds a JReport BusinessView Category definition into the category.

  Parameters:
    `categoryInfo` - The Category definition that will be created in the category.

### getBVCategories

    public BusinessViewCategoryInfo[] getBVCategories()

  Gets subcategory definitions in the Category.

  Returns:
    Category definitions array of the Category.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD